package com.github.polpetta.mezzotre.telegram.callbackquery.di;

import com.github.polpetta.mezzotre.telegram.callbackquery.Processor;
import com.github.polpetta.mezzotre.telegram.callbackquery.SelectLanguageTutorial;
import com.github.polpetta.mezzotre.telegram.callbackquery.ShowHelp;
import com.google.inject.AbstractModule;
import com.google.inject.Provides;
import java.util.Set;
import javax.inject.Named;
import javax.inject.Singleton;

public class CallbackQuery extends AbstractModule {
  @Provides
  @Singleton
  @Named("eventProcessors")
  public Set<Processor> getEventProcessor(
      SelectLanguageTutorial selectLanguageTutorial, ShowHelp showHelp) {
    return Set.of(selectLanguageTutorial, showHelp);
  }
}
